/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.base;

import java.util.Date;

/**
 * 基本スキーマ情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbBaseSchemaObj {

    // 名前空間
	private String namespace;
	// 名前空間URL
	private String namespace_url;
	// 仕様番号
	private String specification_no;
	// 日付
	private Date   creation_date;

	protected Date getCreation_date() {
		return creation_date;
	}

    protected void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}

    protected String getNamespace() {
		return namespace;
	}

    protected void setNamespace(String namespace) {
		this.namespace = namespace;
	}

    protected String getNamespace_url() {
		return namespace_url;
	}

    protected void setNamespace_url(String namespace_url) {
		this.namespace_url = namespace_url;
	}

    protected String getSpecification_no() {
		return specification_no;
	}

    protected void setSpecification_no(String specification_no) {
		this.specification_no = specification_no;
	}
}